Subject: bug#55595: 29.0.50; Compilation warnings on macOS

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jun 2022 22:10:32 +0300

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 02 Jun 2022 20:36:58 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, please try the latest master branch, where I tried to fix
> > that.
> 
> I tried again at:
> 
> 8f279c8666dc642ed1f8f49aa709530fcea47374
> 
> Compile command:
> 
> ./configure --with-json --with-native-compilation && make && make install

Did you regenerate configure before running the above?  The change is
in configure.ac, so you need to run ./autogen.sh to regenerate the
configure script from configure.ac.

(In general, I suggest to always say "make && make install", because
that will run the configure script automatically when needed, and will
regenerate the configure script automatically when configure.ac was
updated.)

> comp.c:2816:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
> #pragma GCC diagnostic pop
>                        ^
> comp.c:4698:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
> #pragma GCC diagnostic pop
>                        ^
> comp.c:4714:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
> #pragma GCC diagnostic pop
>                        ^
> comp.c:4967:24: warning: pragma diagnostic pop could not pop, no matching push [-Wunknown-pragmas]
> #pragma GCC diagnostic pop

I guess this means you did not regenerate the configure script?  Or
maybe the compiler doesn't identify itself as clang, so the changes I
did don't have effect?